@font-face {
    font-family: 'Friends';
    src: url('fonts/GABRWFFR.TTF');
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: Helvetica, sans-serif;
    color: #1f1f1f;
    background: url("../images/background.jpg");
    background-size: auto;
    background-repeat: no-repeat;
    background-position: center;
    line-height: 1.6;
}

img {
    width: 100%;
    display: block;
}

a {
    text-decoration: none;
    color: inherit;
}

.header-container{
    width: 80%;
    max-width: 1500px;
    margin: 0 auto;
}


.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
}

/* Header */
header {
    width: 100%;
    background: #ffffff;
    position: sticky;
    top: 0;
    z-index: 1000;
    box-shadow: 10px 0 20px rgba(0, 0, 0, 0.38);
}

.header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 0;
}

.logo {
    display: flex;
    align-items: center;
    gap: 12px;
    width: 20%;
}

.logo-text {
    font-size: 1.3rem;
    font-weight: 600;
}

nav ul {
    display: flex;
    list-style: none;
    gap: 35px;
}

nav a {
    font-size: 0.95rem;
    font-weight: 600;
    text-transform: lowercase;
    color: #dc3d52;
    transition: 0.3s ease;
}

nav a:hover {
    color: #4d78b6;
}

/* Hero Section */
.hero {
    position: relative;
    height: 80vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #ffffff;
    overflow: hidden;
}

.hero::before {
    content: "";
    position: absolute;
    inset: 0;

    background-image: url('../images/hero-image.jpeg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

    filter: blur(4px);
    /*transform: scale(1); !* hides blur edges *!*/

    z-index: 0;
}

.hero > * {
    position: relative;
    z-index: 1;
}

.hero-content {
    position: relative;
    z-index: 2;
    max-width: 1000px;
    padding: 20px;
}

.hero img {
    font-family: 'Friends', serif;
    width: 100%;
    margin-bottom: 50px;

}

.hero-button{
    background: #db5668;
    font-family: 'Friends', serif;
    border-radius: 15px;
    color: white;
    padding: 20px;
    transition: 0.3s ease;
}

.hero-button:hover{
    background: #e6c588;
}

/* Cards Section */
.features {
    padding: 50px 0 100px;
}

.section-intro {
    text-align: left;
    max-width: 1200px;
    margin: 0 auto 60px;
}

.section-intro small {
    text-transform: uppercase;
    letter-spacing: 3px;
    color: #777777;
    display: block;
    margin-bottom: 15px;
}

.section-intro h2 {
    font-size: 2.5rem;
    font-family: 'Friends', serif;
    margin-bottom: 15px;
}

.section-intro p {
    color: #666666;
}

#project-title{
    text-align: left;
    font-family: 'Friends', serif;
    font-size: 3rem;
    margin-bottom: 20px;
}

.cards {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.card {
    border-radius: 24px;
    overflow: hidden;
    background: #ffffff;
    box-shadow: 0 5px 25px rgba(0, 0, 0, 0.06);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card:hover {
    transform: translateY(-5px);
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.12);
}

.card-image {
    aspect-ratio: 3 / 4;
    overflow: hidden;
}

.card-image img {
    height: 100%;
    object-fit: cover;
    transition: transform 0.4s ease;
}

.card:hover .card-image img {
    transform: scale(1.05);
}

.card-content {
    padding: 30px;
    text-align: center;
    color: white;
}

.card-content h3 {
    font-size: 1.6rem;
    margin-bottom: 10px;
}

/* CTA Section */
.cta {
    padding: 40px 20px 100px;
    text-align: center;
}

.cta h2 {
    font-size: 2.8rem;
    margin-bottom: 35px;
}

.button-group {
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
    margin-top: 30px;
}

.btn {
    padding: 50px;
    border-radius: 16px;
    font-size: 2rem;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s ease;
    border: none;
    font-family: 'Friends', serif;
}

.btn-primary {
    background: #db5668;
    color: white;
}

.btn-primary:hover {
    background: #537cb7;
}

.btn-secondary {
    background: #e6c588;
    color: white;
    padding: 70px 65px;
}

.btn-secondary:hover {
    background: #537cb7;
    color: white;
}

/* Footer */
footer {
    background: #4d78b6;
    color: #ffffff;
    padding-top: 70px;
}

.footer-content {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 50px;
    padding-bottom: 60px;
}

footer h3 {
    margin-bottom: 20px;
    font-size: 1.4rem;
}

.footer-text {
    color: #ffffff;
}

.footer-text p {
    margin-bottom: 10px;
}

.barcode-box {
    background: #ffffff;
    border-radius: 18px;
    padding: 15px;
    margin-bottom: 20px;
}

.social-icons {
    display: flex;
    gap: 15px;
}

.social-icons a {
    width: 50px;
    height: 50px;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s ease;
}

.social-icons a:hover {
    background: rgba(255, 255, 255, 0.2);
}

.copyright {
    background: rgba(18, 21, 35, 0.3);
    text-align: center;
    padding: 25px 20px;
    font-size: 0.9rem;
}

footer a{
    color: #e6c588;
}

footer a i{
    color: white;
}

/* Responsive */
@media (max-width: 900px) {
    .cards,
    .footer-content {
        grid-template-columns: 1fr;
    }

    .hero h1 {
        font-size: 3rem;
    }

    .hero{
        height: 60vh;
    }

    .hero::before{
        background-position: center top !important;
    }
}

#doniraj {
    scroll-margin-top: 200px;
}

@media (max-width: 700px) {
    .logo{
        width: 50%;
    }

    .header-content {
        flex-direction: column;
        gap: 20px;
    }

    nav ul {
        gap: 18px;
        flex-wrap: wrap;
        justify-content: center;
    }

    .hero h1 {
        font-size: 2.4rem;
    }

    .section-intro h2,
    .cta h2 {
        font-size: 2rem;
    }
}